import 'package:flutter/material.dart';

import '../constants.dart';

class DefaultCard extends StatelessWidget {
  final Color? backgroundColor;
  final Widget child;
  const DefaultCard({Key? key, this.backgroundColor, required this.child}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: defaultElevation,
      color: backgroundColor,
      semanticContainer: true,
      clipBehavior: Clip.antiAliasWithSaveLayer,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(defaultCornerRadius),
      ),
      margin: const EdgeInsets.all(10),
      child: child,
    );
  }
}
