import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:softcorp_flutter_core/constants.dart';
import 'footer.dart';

class FooterExample extends StatelessWidget {
  const FooterExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Footer(
      backgroundColor: Colors.black,
      child: Padding(
        padding: const EdgeInsets.all(5.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          children: <Widget>[
            Center(
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                children: <Widget>[
                  SizedBox(
                    height: 45.0,
                    width: 45.0,
                    child: Center(
                      child: Card(
                        elevation: 5.0,
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(
                              25.0), // half of height and width of Image
                        ),
                        child: IconButton(
                          icon: const Icon(
                            Icons.audiotrack,
                            size: 20.0,
                          ),
                          color: defaultPrimaryColor,
                          onPressed: () {},
                        ),
                      ),
                    ),
                  ),
                  SizedBox(
                    height: 45.0,
                    width: 45.0,
                    child: Center(
                      child: Card(
                        elevation: 5.0,
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(
                              25.0), // half of height and width of Image
                        ),
                        child: IconButton(
                          icon: const Icon(
                            Icons.fingerprint,
                            color: defaultPrimaryColor,
                            size: 20.0,
                          ),
                          onPressed: () {},
                        ),
                      ),
                    ),
                  ),
                  SizedBox(
                    height: 45.0,
                    width: 45.0,
                    child: Center(
                      child: Card(
                        elevation: 5.0,
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(
                              25.0), // half of height and width of Image
                        ),
                        child: IconButton(
                          icon: const Icon(
                            Icons.call,
                            color: defaultPrimaryColor,
                            size: 20.0,
                          ),
                          onPressed: () {},
                        ),
                      ),
                    ),
                  ),
                ],
              ),
            ),
            const Text(
              'Copyright © 2021, All Rights Reserved.',
              style: TextStyle(
                  fontWeight: FontWeight.w300,
                  fontSize: 12.0,
                  color: secondaryBodyColor),
            ),
          ],
        ),
      ),
    );
  }
}
